# BinaryType Class Reference
[Supported meta-types]

Inheritance diagram for BinaryType:
[legend]

List of all members.

## Public Member Functions

| getPrimitiveName ()
| getDeclaration ()
| toColumnType ($length=null)
| isMeasurable ()

## Detailed Description

Definition at line 15 of file BinaryType.class.php.

## Member Function Documentation

BinaryType::getDeclaration | ( |  | ) |

Reimplemented from BasePropertyType.

Definition at line 22 of file BinaryType.class.php.

BinaryType::getPrimitiveName | ( |  | ) |

Reimplemented from BasePropertyType.

Definition at line 17 of file BinaryType.class.php.

BinaryType::isMeasurable | ( |  | ) |

Reimplemented from BasePropertyType.

Definition at line 32 of file BinaryType.class.php.

BinaryType::toColumnType | ( | $ | length = `null` | ) |

Definition at line 27 of file BinaryType.class.php.

The documentation for this class was generated from the following file:

- meta/types/BinaryType.class.php